Get Payment Instrument Status

View as Markdown

The Get Payment Instrument Status is an authenticated API that polls the payment instrument status. Keep polling until status is COMPLETED before placing an order. A FAILED status indicates account creation failed.

Headers

x-user-ipstringRequired

End user’s originating IP. More details here

x-api-keystringRequired
Partner API Key present in Transak Dashboard.
authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

paymentInstrumentIdstringRequired

Payment instrument identifier. Use pm_open_banking for Open Banking.

quoteIdstringRequired

Quote ID generated from api/v2/lookup/quotes

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error